%global oname jamon

Name:          jamonapi
Version:       2.74
Release:       %mkrel 2
Group:         Development/Java
Summary:       A Java monitoring API
License:       BSD
URL:           http://jamonapi.sourceforge.net/
# cvs -d:pserver:anonymous@jamonapi.cvs.sourceforge.net:/cvsroot/jamonapi login
# cvs -z3 -d:pserver:anonymous@jamonapi.cvs.sourceforge.net:/cvsroot/jamonapi co -P -r v2_74 jamonapi/src
# Remove pregenerated javadoc files in the source tree
# rm -rf jamonapi/src/JAMonUsersGuide/javadoc/*
# Remove zip file which contains a proprietary binary
# rm -rf jamonapi/src/JAMonUsersGuide/JAMon_PB.zip
# rm -rf $(find -name "CVS")
# tar cJf jamonapi-2.74.tar.xz jamonapi
Source0:       %{name}-%{version}.tar.xz
# This POM is completely Fedora-specific
Source1:       %{name}-%{version}.pom
Patch0:        %{name}-buildxml.patch
Patch1:        %{name}-jetty8.patch

BuildRequires: java-devel
BuildRequires: javapackages-tools
BuildRequires: ant
BuildRequires: tomcat-lib
BuildRequires: tomcat-servlet-3.0-api
BuildRequires: tomcat-el-2.2-api
BuildRequires: jetty
BuildRequires: geronimo-interceptor
BuildRequires: log4j
BuildRequires: dos2unix
Requires:      java
Requires:      javapackages-tools
Requires:      tomcat-lib
Requires:      tomcat-servlet-3.0-api
Requires:      tomcat-el-2.2-api
Requires:      jetty
Requires:      geronimo-interceptor
Requires:      log4j
BuildArch:     noarch

%description
JAMon API is a free, simple, high performance, thread safe,
Java API that allows developers to easily monitor the
performance and scalability of production applications. JAMon
tracks hits, execution times (total, avg, min, max, std dev),
and more.

%package javadoc
Summary:         API documentation for %{name}

%description javadoc
This package contains API documentation for Java monitoring API.

%prep
%setup -q -n %{name}
%patch0 -p0
%patch1 -p1
mkdir dist
mkdir lib

# jetty 9 build fix
sed -i "s|BlockingHttpConnection|HttpChannel|" \
 src/java/com/jamonapi/http/JAMonJettyHandler.java
sed -i "s|getCurrentConnection()|getCurrentHttpChannel()|" \
 src/java/com/jamonapi/http/JAMonJettyHandler.java
 
%build
pushd src/ant
ant JAR
ant javadoc
popd

# Remove spurious executable permissions
find src/JAMonUsersGuide -type f | xargs chmod -x
find src/JAMonUsersGuide -regex '.*\(xml\|css\|js\)' -o -name package-list | xargs dos2unix

# There should be a shorter way to do an iconv task, but I do not know of one
pushd src/JAMonUsersGuide/presentation/jamon_files/
mv master04_stylesheet.css master04_stylesheet.css.iso8859-1
iconv -f ISO-8859-1 -t UTF-8 master04_stylesheet.css.iso8859-1 > master04_stylesheet.css
rm master04_stylesheet.css.iso8859-1
popd

%install

mkdir -p %{buildroot}%{_javadir}
install -m 644 dist/%{oname}-%{version}.jar %{buildroot}%{_javadir}/%{name}.jar
ln -s %{name}.jar %{buildroot}%{_javadir}/%{oname}.jar

mkdir -p %{buildroot}%{_mavenpomdir}
install -pm 644 %{SOURCE1} %{buildroot}%{_mavenpomdir}/JPP-%{oname}.pom
%add_maven_depmap JPP-%{oname}.pom %{oname}.jar

mkdir -p %{buildroot}%{_javadocdir}
cp -rp src/doc/javadoc %{buildroot}%{_javadocdir}/%{name}

%files
%doc src/JAMonUsersGuide
%{_javadir}/%{oname}.jar
%{_javadir}/%{name}.jar
%{_mavenpomdir}/JPP-%{oname}.pom
%{_mavendepmapfragdir}/%{name}

%files javadoc
%doc src/JAMonUsersGuide/JAMonLicense.html
%{_javadocdir}/%{name}



%changelog
* Tue Oct 22 2013 umeabot <umeabot> 2.74-2.mga4
+ Revision: 545408
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 dmorgan <dmorgan> 2.74-1.mga4
+ Revision: 501217
- New version

* Sat Jan 12 2013 umeabot <umeabot> 2.73-2.mga3
+ Revision: 354732
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Sep 10 2012 dmorgan <dmorgan> 2.73-1.mga3
+ Revision: 291878
- New version

* Wed Oct 26 2011 gil <gil> 2.7-1.mga2
+ Revision: 158306
- imported package jamonapi

